delete_edges {igraph} | R Documentation

## Delete edges from a graph

### Description

Delete edges from a graph

### Usage

    delete_edges(graph, edges)

### Arguments

`graph` | The input graph.
`edges` | The edges to remove, specified as an edge sequence.

### Value

The graph, with the edges removed.

### See Also

Other functions for manipulating graph structure: `+.igraph`, `add_edges`, `add_vertices`, `delete_vertices`, `edge`, `igraph-minus`, `path`, `vertex`

### Examples

    g <- make_ring(10) %>%
      delete_edges(seq(1, 9, by = 2))
    g

    g <- make_ring(10) %>%
      delete_edges("10|1")
    g

[Package igraph version 1.1.2 Index]